#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define kf6_min_version 5.2.40

%define rel 1

Name:           calindori
Version: 24.02.2
Release:        %mkrel %{rel}
Summary:        Calendar application for Plasma Mobile
Group:          Office/Organizer
License:        GPLv3+ and LGPLv3+ and BSD and CC0
URL:            https://apps.kde.org/calindori/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt63DRender)

BuildRequires:  cmake(KF6Config) >= %{kf6_min_version}
BuildRequires:  cmake(KF6Kirigami2) >= %{kf6_min_version}
BuildRequires:  cmake(KF6I18n) >= %{kf6_min_version}
BuildRequires:  cmake(KF6CoreAddons) >= %{kf6_min_version}
BuildRequires:  cmake(KF6CalendarCore) >= %{kf6_min_version}
BuildRequires:  cmake(KF6Notifications) >= %{kf6_min_version}
BuildRequires:  cmake(KF6People) >= %{kf6_min_version}
BuildRequires:  cmake(KF6DBusAddons)

Recommends:     qt6-qtwayland
Requires:       kirigami

%description
Calindori is a touch friendly calendar application. It has been
designed for mobile devices but it can also run on desktop
environments. Users of Calindori are able to check previous and
future dates and manage tasks and events.

When executing the application for the first time, a new calendar
file is created that follows the ical standard. Alternatively,
users may create additional calendars or import existing ones.

Features:
  * Agenda
  * Events
  * Todos
  * Multiple calendars
  * Import calendar

%files -f %{name}-full.lang
%license LICENSES/*
%{_kf6_bindir}/%{name}
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/applications/org.kde.%{name}.desktop

%{_kf6_bindir}/calindac
%{_kf6_knotificationsdir}/calindac.notifyrc
%{_kf6_sysconfdir}/xdg/autostart/org.kde.calindac.desktop
%{_kf6_datadir}/dbus-1/services/org.kde.calindac.service

%prep
%autosetup

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang %{name}
%find_lang calindac
cat %{name}.lang calindac.lang > %{name}-full.lang


%changelog
* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058524
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045068
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037569
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033701
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025041
- New version 24.01.85

* Sat Nov 18 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2007692
- New version 24.01.75

* Mon Nov 06 2023 papoteur <papoteur> 23.08.2-1.mga10
+ Revision: 2004832
- new 23.08.2

* Sun Sep 24 2023 daviddavid <daviddavid> 23.08.1-1.mga10
+ Revision: 1989995
- New version 23.08.1

* Mon May 29 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1959656
- New version 23.04.1 (says hello to kde application stack)

* Tue Dec 27 2022 daviddavid <daviddavid> 22.11-1.mga9
+ Revision: 1927234
- New version 22.11

* Sun Sep 04 2022 papoteur <papoteur> 22.06-1.mga9
+ Revision: 1883830
- imported package calindori

